diff -uNrd ircd-ratbox-1.3-1/CREDITS BgChat-Ircd/CREDITS
--- ircd-ratbox-1.3-1/CREDITS	Mon Aug 19 01:21:04 2002
+++ BgChat-Ircd/CREDITS	Mon Mar 29 07:17:54 2004
@@ -1,12 +1,5 @@
 $Id: CREDITS,v 1.9 2002/08/19 05:21:04 androsyn Exp $
  
-ircd-ratbox is an evolution where ircd-hybrid left off around version 7-rc1.  
-Currently the ircd-ratbox consists of the following developers:
- 
-AndroSyn, Aaron Sethman <androsyn@ratbox.org>
-fl, Lee Hardy <lee@leeh.co.uk>
-larne, Edward Brocklesby <ejb@sdf.lonestar.org>
- 
  
 Of course our work is based on the work of many, many others over the past
 10 or so years since irc has existed, including the work done by the Hybrid
diff -uNrd ircd-ratbox-1.3-1/INSTALL.BGChat BgChat-Ircd/INSTALL.BGChat
--- ircd-ratbox-1.3-1/INSTALL.BGChat	Wed Dec 31 19:00:00 1969
+++ BgChat-Ircd/INSTALL.BGChat	Fri Apr  9 05:20:58 2004
@@ -0,0 +1,14 @@
+Steps:
+1. ./configure --prefix="/path/to/ircd/dir"
+2. make install
+4. cd contrib 
+5. make install
+6. edit /path/to/ircd/dir/etc/ircd.conf
+5. run ircd (:
+6. help for run ? 
+7. start ircd for /home/ircd-user/ircd/bin/ircd <- ./ircd 
+8. Tenks For All...
+
+BgChat Develop Team ==> HaKer4o/Startx
+
+
diff -uNrd ircd-ratbox-1.3-1/contrib/m_whoisme.c BgChat-Ircd/contrib/m_whoisme.c
--- ircd-ratbox-1.3-1/contrib/m_whoisme.c	Wed Dec 31 19:00:00 1969
+++ BgChat-Ircd/contrib/m_whoisme.c	Mon Mar 29 07:17:53 2004
@@ -0,0 +1,63 @@
+/*
+ *  ircd-ratbox: A slightly useful ircd.
+ *  spy_whois_notice.c: Sends a notice when someone uses WHOIS.
+ *
+ *  Copyright (C) 2002 by the past and present ircd coders, and others.
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
+ *  USA
+ *
+ *  $Id: spy_whois_notice.c,v 1.15.4.1 2003/06/26 14:01:05 androsyn Exp $
+ */
+#include "stdinc.h"
+#include "modules.h"
+#include "hook.h"
+#include "client.h"
+#include "ircd.h"
+#include "send.h"
+
+int
+show_notice(struct hook_mfunc_data *);
+
+void
+_modinit(void)
+{
+  hook_add_hook("doing_whois_local", (hookfn *)show_notice);
+}
+
+void
+_moddeinit(void)
+{
+  hook_del_hook("doing_whois_local", (hookfn *)show_notice);
+}
+
+const char *_version = "$Revision: 1.15.4.1 $";
+
+/* show a whois notice
+   source_p does a /whois on client_p */
+int
+show_notice(struct hook_mfunc_data *data)
+{
+  if (MyConnect(data->source_p) && MyConnect(data->client_p) &&
+      IsOper(data->client_p) && (data->client_p != data->source_p) 
+      && data->client_p->umodes & UMODE_SPY) 
+    {
+      sendto_one(data->client_p, ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a whois on you [%s]",
+                 me.name, data->client_p->name, data->source_p->name, data->source_p->username,
+                 data->source_p->host, data->source_p->user->server);
+    }
+
+  return 0;
+}
diff -uNrd ircd-ratbox-1.3-1/doc/ircd.conf BgChat-Ircd/doc/ircd.conf
--- ircd-ratbox-1.3-1/doc/ircd.conf	Wed Dec 31 19:00:00 1969
+++ BgChat-Ircd/doc/ircd.conf	Fri Apr  9 05:38:00 2004
@@ -0,0 +1,393 @@
+serverinfo {
+        name = "irc.servername.com";
+        description = "IRC Server for BgChat Network";
+        network_name = "BgChat Network";
+        network_desc = "BGChat IRC Network";
+        hub = no;
+
+};
+
+admin {
+        name = "Realno Ime na admina - nickname";
+        description = "BgChat IRC Server Administrator";
+        email = "<email@na.admina.com>";
+};
+
+
+logging {
+        log_level = L_INFO;
+        fname_userlog = "logs/userlog";
+        fname_operlog = "logs/operlog";
+        fname_foperlog = "logs/foperlog";
+};
+class "users" {
+        ping_time = 2 minutes;
+        number_per_ident = 5;
+        number_per_ip = 5;
+        number_per_ip_global = 10;
+        number_per_cidr = 30;
+        cidr_bitlen = 24;
+        max_number = 100;
+        sendq = 100 kbytes;
+};
+
+
+class "restricted" {
+        ping_time = 1 minute 30 seconds;
+        number_per_ip = 3;
+        max_number = 100;
+        sendq = 60kb;
+};
+
+class "opers" {
+        ping_time = 5 minutes;
+        number_per_ip = 10;
+        max_number = 100;
+        sendq = 100kbytes;
+};
+
+class "server" {
+        ping_time = 5 minutes;
+        connectfreq = 5 minutes;
+        max_number = 1;
+        sendq=10 megabytes;
+};
+
+listen {
+
+       port = 6666, 6667, 7000, 9000; 
+};
+
+
+# SPOOFS ------------------------------------------
+
+auth {
+        user = "*ident@host*";
+        password = "parola";
+        spoof = "spoof.lameuser.servername.com";
+        flags = kline_exempt, exceed_limit, gline_exempt;
+        class = "opers";
+};
+
+auth {
+        user = "*@*";
+        class = "users";
+};
+
+operator {
+        name = "==========(TCM & Eggdrops)===========";
+        user = "*";
+        password = "G.aaVMW/y703s";
+        class = "opers";
+};
+operator {
+    name = "============(BackUp)================";
+    user = "*";
+    password = "G.aaVMW/y703s";
+    class = "opers";
+};
+operator "Localops" {
+        user = "*ident@nick.server.com";
+        encrypted = yes;
+        password = "Z.cpQNpXXPnQA"; # cript passwd use ./mkpasswd
+        class = "opers";
+        global_kill = no;
+        local_kill = yes;
+        remote = yes;  # linia za local by stx
+        kline = yes;
+        unkline = yes;
+        gline = no;
+        nick_changes = yes;
+        die = no;
+        rehash = yes;
+        admin = no;
+        xline = yes;
+        operwall = no;
+};
+operator {
+    name = "============(Local Ops)================";
+    user = "*";
+    password = "G.aaVMW/y703s";
+    class = "opers";
+};
+operator "opernick" {
+        user = "*ident@host.com";
+        encrypted = yes;
+        password = "6w.NgL20Kd6/2";  # cript passwd use ./mkpasswd
+        class = "opers";
+        global_kill = yes;
+        local_kill = yes;
+        remote = yes;
+        kline = yes;
+        unkline = yes; #Global Ops linia
+        gline = yes;
+        nick_changes = yes;
+        die = no;
+        rehash = yes;
+        admin = no;
+        xline = yes;
+        operwall = yes;
+};
+
+operator {
+    name = "============(Global Ops)================";
+    user = "*";
+    password = "G.aaVMW/y703s";
+    class = "opers";
+};
+operator "adminname" {
+        user = "*ident@host.com";
+        encrypted = yes;
+        password = "zZNNimm6QRJNg";  # cript passwd use ./mkpasswd
+        class = "opers";
+        global_kill = yes;
+        local_kill = yes;
+        remote = yes;
+        kline = yes;
+        unkline = yes; #linia za admins by stx
+        gline = yes;
+        nick_changes = yes;
+        die = yes;
+        rehash = yes;
+        admin = yes;
+        xline = yes;
+        operwall = yes;
+};
+operator {
+        name = "============(Owner/Admins)================";
+        user = "*";
+        password = "G.aaVMW/y703s";
+        class = "opers";
+};
+
+#hubs v bgchat network 
+connect {
+        name = "irc.stih4e.com";
+        host = "217.10.252.107";
+        send_password = "sv";
+        encrypted = no;
+        accept_password = "sv";
+        autoconn = yes;
+        port = 6666;
+        hub_mask = "*"; #link kum HUB server 
+        #leaf_mask = "*"; #link kum lief server 
+        class = "server";
+};
+
+connect {
+        name = "irc.spellhost.net";
+        host = "193.68.131.2";
+        send_password = "sv";
+        encrypted = no;
+        accept_password = "sv";
+        autoconn = no;
+        port = 6666;
+        hub_mask = "*"; #link kum HUB server
+        #leaf_mask = "*"; #link kum lief server
+        class = "server";
+};
+
+connect {
+        name = "irc.mr-psycho.net";
+        host = "212.56.20.39";
+        send_password = "sv";
+        encrypted = no;
+        accept_password = "sv";
+#        autoconn = yes;
+        #port = 7000;
+        hub_mask = "*"; #link kum HUB server 
+        #leaf_mask = "*"; #link kum lief server 
+        class = "server";
+};
+
+
+cluster {
+        name = "irc.mr-psycho.net";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "irc.stih4e.com";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "Services.BgChat";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "irc.spellhost.net";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "irc.Unitechs.net";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "seenserv.bgchat.net";
+        type = kline, unkline, locops;
+};
+
+cluster {
+	name = "SocksCleaner.BgChat.Net";
+	type = kline, unkline, locops;
+};
+shared {
+        name = "Stats.BgChat.Net";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+shared {
+        name = "seenserv.bgchat.net";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+
+shared {
+        name = "irc.ludadmin.org";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+shared {
+       name = "SocksCleaner.BgChat.Net";
+       user = "*";
+       kline = yes;
+       unkline = yes;
+};
+shared {
+        name = "Services.BgChat";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+
+shared {
+        name = "irc.spellhost.net";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+shared {
+        name = "irc.stih4e.com";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+
+resv {
+      reason = "Services nicks are forbidden!";
+        nick = "nickserv";
+        nick = "chanserv";
+        nick = "operserv";
+        nick = "memoserv";
+        nick = "helpserv";
+        nick = "hostserv";
+        nick = "adminserv";
+        nick = "splitserv";
+        nick = "statserv";
+        nick = "seenserv";
+        nick = "seen";
+        nick = "gliner";
+        nick = "NS";
+        nick = "CS";
+        nick = "MS";
+        nick = "HS";
+        nick = "OS";
+        nick = "SS";
+        nick = "global";
+        nick = "info";
+        nick = "SockClean";
+        nick = "splitserv";
+        nick = "AdminServ";
+        nick = "jupeserv";
+        nick = "monitor";
+        nick = "?"
+        reason = "Clone bots";
+        nick = "clone*";
+         
+};
+
+
+channel {
+        use_invex = yes;
+        use_except = yes;
+        use_knock = yes;
+        knock_delay = 5 minutes;
+        knock_delay_channel = 1 minute;
+        max_chans_per_user = 15;
+        quiet_on_ban = no;
+        max_bans = 25;
+        persist_time = 0;
+        default_split_user_count = 0;
+        default_split_server_count = 0;
+        no_create_on_split = no;
+        no_join_on_split = no;
+        no_oper_resvs = no;
+};
+
+
+serverhide {
+        flatten_links = no;
+        links_delay = 5 minutes;
+        hidden = no;
+        disable_hidden = no;
+        hide_servers = no;
+        disable_remote_commands = no;
+        disable_local_channels = no;
+};
+
+
+general {
+        default_operstring = "is an IRC Operator";
+        default_adminstring = "is a Server Administrator";
+        tkline_expire_notices = yes;
+        default_floodcount = 8;
+        failed_oper_notice = yes;
+        dots_in_ident=2;
+        dot_in_ip6_addr = no;
+        min_nonwildcard = 4;
+        max_accept = 20;
+        anti_nick_flood = yes;
+        max_nick_time = 20 seconds;
+        max_nick_changes = 5;
+        anti_spam_exit_message_time = 5 minutes;
+        ts_warn_delta = 99999  seconds; #Zadultjino za BGChat
+        ts_max_delta = 99999  seconds; #
+        client_exit = yes;
+        kline_with_reason = yes;
+        kline_with_connection_closed = no;
+        kline_delay = 0 seconds;
+        non_redundant_klines = yes;
+        warn_no_nline = yes;
+        stats_o_oper_only=yes;
+        stats_P_oper_only=no;
+        stats_i_oper_only=yes;
+        stats_k_oper_only=masked;
+        caller_id_wait = 1 minute;
+        pace_wait_simple = 1 second;
+        pace_wait = 10 seconds;
+        short_motd = no;
+        ping_cookie = no;
+        connect_timeout = 30 seconds;
+        disable_auth = no;
+        no_oper_flood = yes;
+        glines = yes;
+        gline_time = 1 day;
+        idletime = 0;
+        max_targets = 4;
+        client_flood = 20;
+        use_help = yes;
+        use_whois_actually = yes;
+        message_locale = "custom";
+        oper_only_umodes = bots, cconn, debug, full, skill, nchange,
+                     rej, spy, external, operwall, locops, unauth;
+        oper_umodes = locops, servnotice, operwall, wallop;
+};
+
+modules {
+        path = "modules";
+        path = "modules/autoload";
+        path = "modules/contrib";
+};
+
diff -uNrd ircd-ratbox-1.3-1/doc/ircd.conf~ BgChat-Ircd/doc/ircd.conf~
--- ircd-ratbox-1.3-1/doc/ircd.conf~	Wed Dec 31 19:00:00 1969
+++ BgChat-Ircd/doc/ircd.conf~	Fri Apr  9 05:38:00 2004
@@ -0,0 +1,392 @@
+serverinfo {
+        name = "irc.servername.com";
+        description = "IRC Server for BgChat Network";
+        network_name = "BgChat Network";
+        network_desc = "BGChat IRC Network";
+        hub = no;
+
+};
+
+admin {
+        name = "Realno Ime na admina - nickname";
+        description = "BgChat IRC Server Administrator";
+        email = "<email@na.admina.com>";
+};
+
+
+logging {
+        log_level = L_INFO;
+        fname_userlog = "logs/userlog";
+        fname_operlog = "logs/operlog";
+        fname_foperlog = "logs/foperlog";
+};
+class "users" {
+        ping_time = 2 minutes;
+        number_per_ident = 5;
+        number_per_ip = 5;
+        number_per_ip_global = 10;
+        number_per_cidr = 30;
+        cidr_bitlen = 24;
+        max_number = 100;
+        sendq = 100 kbytes;
+};
+
+
+class "restricted" {
+        ping_time = 1 minute 30 seconds;
+        number_per_ip = 3;
+        max_number = 100;
+        sendq = 60kb;
+};
+
+class "opers" {
+        ping_time = 5 minutes;
+        number_per_ip = 10;
+        max_number = 100;
+        sendq = 100kbytes;
+};
+
+class "server" {
+        ping_time = 5 minutes;
+        connectfreq = 5 minutes;
+        max_number = 1;
+        sendq=10 megabytes;
+};
+
+listen {
+
+       port = 6666, 6667, 7000, 9000; 
+};
+
+
+# SPOOFS ------------------------------------------
+
+auth {
+        user = "*ident@host*";
+        password = "parola";
+        spoof = "spoof.lameuser.servername.com";
+        flags = kline_exempt, exceed_limit, gline_exempt;
+        class = "opers";
+};
+
+auth {
+        user = "*@*";
+        class = "users";
+};
+
+operator {
+        name = "==========(TCM & Eggdrops)===========";
+        user = "*";
+        password = "G.aaVMW/y703s";
+        class = "opers";
+};
+operator {
+    name = "============(BackUp)================";
+    user = "*";
+    password = "G.aaVMW/y703s";
+    class = "opers";
+};
+operator "Localops" {
+        user = "*ident@nick.server.com";
+        encrypted = yes;
+        password = "Z.cpQNpXXPnQA"; # cript passwd use ./mkpasswd
+        class = "opers";
+        global_kill = no;
+        local_kill = yes;
+        remote = yes;  # linia za local by stx
+        kline = yes;
+        unkline = yes;
+        gline = no;
+        nick_changes = yes;
+        die = no;
+        rehash = yes;
+        admin = no;
+        xline = yes;
+        operwall = no;
+};
+operator {
+    name = "============(Local Ops)================";
+    user = "*";
+    password = "G.aaVMW/y703s";
+    class = "opers";
+};
+operator "opernick" {
+        user = "*ident@host.com";
+        encrypted = yes;
+        password = "6w.NgL20Kd6/2";  # cript passwd use ./mkpasswd
+        class = "opers";
+        global_kill = yes;
+        local_kill = yes;
+        remote = yes;
+        kline = yes;
+        unkline = yes; #Global Ops linia
+        gline = yes;
+        nick_changes = yes;
+        die = no;
+        rehash = yes;
+        admin = no;
+        xline = yes;
+        operwall = yes;
+};
+
+operator {
+    name = "============(Global Ops)================";
+    user = "*";
+    password = "G.aaVMW/y703s";
+    class = "opers";
+};
+operator "adminname" {
+        user = "*ident@host.com";
+        encrypted = yes;
+        password = "zZNNimm6QRJNg";  # cript passwd use ./mkpasswd
+        class = "opers";
+        global_kill = yes;
+        local_kill = yes;
+        remote = yes;
+        kline = yes;
+        unkline = yes; #linia za admins by stx
+        gline = yes;
+        nick_changes = yes;
+        die = yes;
+        rehash = yes;
+        admin = yes;
+        xline = yes;
+        operwall = yes;
+};
+operator {
+        name = "============(Owner/Admins)================";
+        user = "*";
+        password = "G.aaVMW/y703s";
+        class = "opers";
+};
+
+#hubs v bgchat network 
+connect {
+        name = "irc.stih4e.com";
+        host = "217.10.252.107";
+        send_password = "sv";
+        encrypted = no;
+        accept_password = "sv";
+        autoconn = yes;
+        port = 6666;
+        hub_mask = "*"; #link kum HUB server 
+        #leaf_mask = "*"; #link kum lief server 
+        class = "server";
+};
+
+connect {
+        name = "irc.spellhost.net";
+        host = "193.68.131.2";
+        send_password = "sv";
+        encrypted = no;
+        accept_password = "sv";
+        autoconn = no;
+        port = 6666;
+        hub_mask = "*"; #link kum HUB server
+        #leaf_mask = "*"; #link kum lief server
+        class = "server";
+};
+
+connect {
+        name = "irc.mr-psycho.net";
+        host = "212.56.20.39";
+        send_password = "sv";
+        encrypted = no;
+        accept_password = "sv";
+#        autoconn = yes;
+        #port = 7000;
+        hub_mask = "*"; #link kum HUB server 
+        #leaf_mask = "*"; #link kum lief server 
+        class = "server";
+};
+
+
+cluster {
+        name = "irc.mr-psycho.net";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "irc.stih4e.com";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "Services.BgChat";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "irc.spellhost.net";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "irc.Unitechs.net";
+        type = kline, unkline, locops;
+};
+cluster {
+        name = "seenserv.bgchat.net";
+        type = kline, unkline, locops;
+};
+
+cluster {
+	name = "SocksCleaner.BgChat.Net";
+	type = kline, unkline, locops;
+};
+shared {
+        name = "Stats.BgChat.Net";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+shared {
+        name = "seenserv.bgchat.net";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+
+shared {
+        name = "irc.ludadmin.org";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+shared {
+       name = "SocksCleaner.BgChat.Net";
+       user = "*";
+       kline = yes;
+       unkline = yes;
+};
+shared {
+        name = "Services.BgChat";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+
+shared {
+        name = "irc.spellhost.net";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+shared {
+        name = "irc.stih4e.com";
+        user = "*";
+        kline = yes;
+        unkline = yes;
+};
+
+resv {
+      reason = "Services nicks are forbidden!";
+        nick = "nickserv";
+        nick = "chanserv";
+        nick = "operserv";
+        nick = "memoserv";
+        nick = "helpserv";
+        nick = "hostserv";
+        nick = "adminserv";
+        nick = "splitserv";
+        nick = "statserv";
+        nick = "seenserv";
+        nick = "seen";
+        nick = "gliner";
+        nick = "NS";
+        nick = "CS";
+        nick = "MS";
+        nick = "HS";
+        nick = "OS";
+        nick = "SS";
+        nick = "global";
+        nick = "SockClean";
+        nick = "splitserv";
+        nick = "AdminServ";
+        nick = "jupeserv";
+        nick = "monitor";
+        nick = "?"
+        reason = "Clone bots";
+        nick = "clone*";
+         
+};
+
+
+channel {
+        use_invex = yes;
+        use_except = yes;
+        use_knock = yes;
+        knock_delay = 5 minutes;
+        knock_delay_channel = 1 minute;
+        max_chans_per_user = 15;
+        quiet_on_ban = no;
+        max_bans = 25;
+        persist_time = 0;
+        default_split_user_count = 0;
+        default_split_server_count = 0;
+        no_create_on_split = no;
+        no_join_on_split = no;
+        no_oper_resvs = no;
+};
+
+
+serverhide {
+        flatten_links = no;
+        links_delay = 5 minutes;
+        hidden = no;
+        disable_hidden = no;
+        hide_servers = no;
+        disable_remote_commands = no;
+        disable_local_channels = no;
+};
+
+
+general {
+        default_operstring = "is an IRC Operator";
+        default_adminstring = "is a Server Administrator";
+        tkline_expire_notices = yes;
+        default_floodcount = 8;
+        failed_oper_notice = yes;
+        dots_in_ident=2;
+        dot_in_ip6_addr = no;
+        min_nonwildcard = 4;
+        max_accept = 20;
+        anti_nick_flood = yes;
+        max_nick_time = 20 seconds;
+        max_nick_changes = 5;
+        anti_spam_exit_message_time = 5 minutes;
+        ts_warn_delta = 99999  seconds; #Zadultjino za BGChat
+        ts_max_delta = 99999  seconds; #
+        client_exit = yes;
+        kline_with_reason = yes;
+        kline_with_connection_closed = no;
+        kline_delay = 0 seconds;
+        non_redundant_klines = yes;
+        warn_no_nline = yes;
+        stats_o_oper_only=yes;
+        stats_P_oper_only=no;
+        stats_i_oper_only=yes;
+        stats_k_oper_only=masked;
+        caller_id_wait = 1 minute;
+        pace_wait_simple = 1 second;
+        pace_wait = 10 seconds;
+        short_motd = no;
+        ping_cookie = no;
+        connect_timeout = 30 seconds;
+        disable_auth = no;
+        no_oper_flood = yes;
+        glines = yes;
+        gline_time = 1 day;
+        idletime = 0;
+        max_targets = 4;
+        client_flood = 20;
+        use_help = yes;
+        use_whois_actually = yes;
+        message_locale = "custom";
+        oper_only_umodes = bots, cconn, debug, full, skill, nchange,
+                     rej, spy, external, operwall, locops, unauth;
+        oper_umodes = locops, servnotice, operwall, wallop;
+};
+
+modules {
+        path = "modules";
+        path = "modules/autoload";
+        path = "modules/contrib";
+};
+
diff -uNrd ircd-ratbox-1.3-1/doc/ircd.motd BgChat-Ircd/doc/ircd.motd
--- ircd-ratbox-1.3-1/doc/ircd.motd	Thu Jun 26 10:01:14 2003
+++ BgChat-Ircd/doc/ircd.motd	Fri Apr  9 05:33:49 2004
@@ -1,2 +1,10 @@
-This is the default ircd-ratbox MOTD.  You could replace it, but then noone
-would find out how much you love goats..
+|================================|
+|  Welcome To BgChat NetWork |
+|    Fun www.stih4e.com       |
+|      Ircd by HaKer4o :-)       |
+|       Ircd-BgChat-1.5           |
+|--------------------------------|
+|free copy ircd to www.bgchat.net|
+0101010101010101010101010101010101
+1010101010101010101010101010101010
+0101010101010101010101010101010101
diff -uNrd ircd-ratbox-1.3-1/help/opers/cmode BgChat-Ircd/help/opers/cmode
--- ircd-ratbox-1.3-1/help/opers/cmode	Tue Jul  8 10:12:41 2003
+++ BgChat-Ircd/help/opers/cmode	Mon Mar 29 07:17:52 2004
@@ -12,6 +12,15 @@
      +i     - Invite only.  Users need to be /invite'd or match a +I to
               join the channel.
 
+ * The following modes are available only when compiled with --enable-bgfree *
+     +q	    - Join filter. Allows only NS identified users to join channel.
+     +z	    - No Repeat. Forbids repeating in the channel.
+     +H     - No SPAM. Forbits messages containing SPAM phrases.
+     +M     - Users with unregistered nicknames can not talk in the channel.
+     +C     - CTCP filter. CTCP messages are allowed only from +v/+o users.
+     +O     - Opers only. Only IRC operators can join the channel.
+     +A     - Admins only. Only IRC server admins can join the channel.
+     
 WITH PARAMETERS:
      +k     - Key.  Requires users to issue /join #channel KEY to join.
               PARAMS: /mode #channel +k key
diff -uNrd ircd-ratbox-1.3-1/help/opers/kill BgChat-Ircd/help/opers/kill
--- ircd-ratbox-1.3-1/help/opers/kill	Tue Nov 20 20:41:04 2001
+++ BgChat-Ircd/help/opers/kill	Mon Mar 29 07:17:52 2004
@@ -3,3 +3,4 @@
 Disconnects user <nick> from the IRC server he/she
 is connected to with reason <reason>.
 - Requires Oper Priv: O for users not on your IRC server
+-axxx kill li ve :]
\ No newline at end of file
diff -uNrd ircd-ratbox-1.3-1/help/users/umode BgChat-Ircd/help/users/umode
--- ircd-ratbox-1.3-1/help/users/umode	Tue Nov 20 22:22:51 2001
+++ BgChat-Ircd/help/users/umode	Mon Mar 29 07:17:52 2004
@@ -8,3 +8,8 @@
                   Use the /oper command to attain this.
          +i     - Designates this client 'invisible'.
          +g     - "caller id" mode only allow accept clients to message you
+
+ * The following modes are available only when compiled with --enable-bgfree *
+	 +S	- Silence mode allows only NS identified clients to message you
+	 +T	- Translation mode, translates ISO-8859-5 cyrillic to latin
+	 +Y	- Translation mode, translates windows-1251 cyrillic to latin
\ No newline at end of file
diff -uNrd ircd-ratbox-1.3-1/include/Makefile BgChat-Ircd/include/Makefile
--- ircd-ratbox-1.3-1/include/Makefile	Wed Dec 31 19:00:00 1969
+++ BgChat-Ircd/include/Makefile	Fri Jun  4 10:17:09 2004
@@ -0,0 +1,33 @@
+# Generated automatically from Makefile.in by configure.
+# $Id: Makefile.in,v 1.6 2002/11/21 21:18:22 leeh Exp $
+# makefile for include/
+
+INSTALL=	/usr/bin/install -c
+INSTALL_DATA=	${INSTALL} -m 644
+INSTALL_BIN=	${INSTALL}
+RM=		/bin/rm
+
+prefix=		/usr/local/ircd
+exec_prefix=	${prefix}
+bindir=		${exec_prefix}/bin
+sysconfdir=	${prefix}/etc
+
+all:
+build:
+clean:
+depend:
+lint:
+
+install:
+	@echo installing header files...
+	-@if test ! -d $(prefix)/include; then \
+		echo "mkdir $(prefix)/include"; \
+		mkdir $(prefix)/include; \
+		mkdir $(prefix)/include/ircd-ratbox-7; \
+	fi
+	@for header in *.h; do \
+		${INSTALL_DATA} $$header $(prefix)/include/ircd-ratbox-7; \
+	done
+
+distclean:
+	${RM} -f Makefile
diff -uNrd ircd-ratbox-1.3-1/include/balloc.h BgChat-Ircd/include/balloc.h
--- ircd-ratbox-1.3-1/include/balloc.h	Sat Jun 28 04:49:39 2003
+++ BgChat-Ircd/include/balloc.h	Mon Mar 29 07:17:54 2004
@@ -1,5 +1,5 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  balloc.h: The ircd block allocator header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
diff -uNrd ircd-ratbox-1.3-1/include/channel.h BgChat-Ircd/include/channel.h
--- ircd-ratbox-1.3-1/include/channel.h	Wed Aug 13 19:57:20 2003
+++ BgChat-Ircd/include/channel.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  channel.h: The ircd channel header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: channel.h,v 7.140.2.2 2003/08/13 23:57:20 leeh Exp $
+ *  $Id: channel.h,v 7.140.2.2 2004/02/06 23:57:20 MaskBg Exp $
  */
 
 #ifndef INCLUDED_channel_h
diff -uNrd ircd-ratbox-1.3-1/include/channel_mode.h BgChat-Ircd/include/channel_mode.h
--- ircd-ratbox-1.3-1/include/channel_mode.h	Thu Nov  6 19:00:37 2003
+++ BgChat-Ircd/include/channel_mode.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  channel_mode.h: The ircd channel mode header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: channel_mode.h,v 7.22.2.3 2003/11/07 00:00:37 leeh Exp $
+ *  $Id: channel_mode.h,v 7.22.2.3 2004/02/07 00:00:37 HaKer4o Exp $
  */
 
 
@@ -86,6 +85,23 @@
 #define MODE_EXCEPTION  0x0800
 #define MODE_INVEX	0x2000
 #define MODE_HIDEOPS    0x4000
+
+
+#define MODE_NOCOLOR    0x1000  
+#define MODE_JOINF	    0x10000
+#define MODE_NOCTCP	    0x20000
+#define MODE_NOTALK	    0x40000
+#define MODE_NOSPAM	    0x80000
+#define MODE_NOREPEAT   0x100000
+
+#define MODE_ADMONLY	0x0200
+#define MODE_OPRONLY	0x8000
+
+#define NoColorChannel(x)       ((x) && ((x)->mode.mode & MODE_NOCOLOR))
+#define NoRepeatChannel(x)      ((x) && ((x)->mode.mode & MODE_NOREPEAT))
+#define AdminOnlyChan(x)	((x) && ((x)->mode.mode & MODE_ADMONLY))
+#define OpersOnlyChan(x)	((x) && ((x)->mode.mode & MODE_OPRONLY))
+
 
 /*
  * mode flags which take another parameter (With PARAmeterS)
diff -uNrd ircd-ratbox-1.3-1/include/class.h BgChat-Ircd/include/class.h
--- ircd-ratbox-1.3-1/include/class.h	Sat Sep  6 16:18:11 2003
+++ BgChat-Ircd/include/class.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  class.h: The ircd class management header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: class.h,v 7.19.2.2 2003/09/06 20:18:11 leeh Exp $
+ *  $Id: class.h,v 7.19.2.2 2004/02/01 20:18:11 Haker4o Exp $
  */
 
 #ifndef INCLUDED_class_h
